/*
 * PWM.c
 *
 *  Created on: 2025年1月25日
 *      Author: VR小杰
 */

#include "hal_data.h"
// 设置占空比的函数
void GPT_PWM_SetDuty(uint8_t duty)
{
    timer_info_t info;
    /* 获得GPT的信息 */
    R_GPT_InfoGet(&g_timer2_ctrl, &info);

    /* 获得计时器一个周期需要的计数次数 */
    uint32_t current_period_counts = info.period_counts;

    /* 根据占空比和一个周期的计数次数计算GTCCR寄存器的值 */
    uint32_t duty_cycle_counts = (uint32_t)(((uint64_t)current_period_counts * duty) / 100);

    /* 最后调用FSP库函数设置占空比 */
    R_GPT_DutyCycleSet(&g_timer2_ctrl, duty_cycle_counts, GPT_IO_PIN_GTIOCA);
}
